IPhysics: SPhysicsCar Struct Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# SPhysicsCar Struct Reference

`#include <SPhysicsStructs.h>`

List of all members.

## Public Attributes

vector3df | carBodyOffset
| The car body's offset from the origin. For example, if you want the car body to be 5 units above the ground, this should be (0, 5.0f, 0).
vector3df | carBodySize
| The car body is currently modelled as a box, with these dimensions. This will be changed soon!
f32 | carMass
| The car's mass. Note that this is the mass of the car body, not the tires.
f32 | frontAxleOffset
| The front axle's offset from the origin. This will determine how far forwards the front wheels are.
f32 | rearAxleOffset
| The rear axle's offset from the origin. This should be a positive number. This will determine how far back the rear wheels are.
f32 | axleWidth
| The axle width. The same value will be used for both front and back axles. This will determine how far apart the left and right wheels are.
f32 | tireMass
| The mass of a tire.
f32 | tireWidth
| The width of a tire.
f32 | tireRadius
| The radius of a tire.
ISceneNode * | carBodyNode
| The scene node for the car body.
ISceneNode * | tireNode_FL
| The scene node for the front left tire.
ISceneNode * | tireNode_FR
| The scene node for the front right tire.
ISceneNode * | tireNode_RL
| The scene node for the rear left tire.
ISceneNode * | tireNode_RR
| The scene node for the rear right tire.
f32 | tireSuspensionShock
| The tire suspension shock - this is passed straight to Newton. From the Newton docs: "parametrized damping constant for a spring, mass, damper system. A value of one corresponds to a critically damped system.".
f32 | tireSuspensionSpring
| The tire suspension spring - this is passed straight to Newton. From the Newton docs: "parametrized spring constant for a spring, mass, damper system. A value of one corresponds to a critically damped system.".
f32 | tireSuspensionLength
| The tire suspension length - this is passed straight to Newton. From the Newton docs: "distance from the tire set position to the upper stop on the vehicle body frame. The total suspension length is twice that.".
f32 | maxSteerAngle
| The max steering angle the car is able to make. A higher number means the car will be able to make tighter turns.
f32 | maxTorque
| The max torque that the car can produce. A higher number means that the car gan go faster, but too high and it will start to skid and lose control.
f32 | maxBrakes
| The max brakes that the car has. A higher number means stronger brakes.

## Detailed Description

Car struct. Use this for creating a car. It is important to remember that cars in IPhysics must be constructed with the positive y-axis as up, and the vehicle pointing in the negative x-axis. The reason for this is that otherwise a positive torque makes the car go backwards, which is far more confusing and messy than just having to construct the car this way. It is also assumed that you are building the car around the origin. This means you'll probably need to orient your car and wheel meshes in your modelling program to meet this criteria, although rest assured this system will become more flexible in future versions.

## Member Data Documentation

vector3df SPhysicsCar::carBodyOffset

The car body's offset from the origin. For example, if you want the car body to be 5 units above the ground, this should be (0, 5.0f, 0).

vector3df SPhysicsCar::carBodySize

The car body is currently modelled as a box, with these dimensions. This will be changed soon!

f32 SPhysicsCar::carMass

The car's mass. Note that this is the mass of the car body, not the tires.

f32 SPhysicsCar::frontAxleOffset

The front axle's offset from the origin. This will determine how far forwards the front wheels are.

f32 SPhysicsCar::rearAxleOffset

The rear axle's offset from the origin. This should be a positive number. This will determine how far back the rear wheels are.

f32 SPhysicsCar::axleWidth

The axle width. The same value will be used for both front and back axles. This will determine how far apart the left and right wheels are.

f32 SPhysicsCar::tireMass

The mass of a tire.

f32 SPhysicsCar::tireWidth

The width of a tire.

f32 SPhysicsCar::tireRadius

The radius of a tire.

ISceneNode* SPhysicsCar::carBodyNode

The scene node for the car body.

ISceneNode* SPhysicsCar::tireNode_FL

The scene node for the front left tire.

ISceneNode* SPhysicsCar::tireNode_FR

The scene node for the front right tire.

ISceneNode* SPhysicsCar::tireNode_RL

The scene node for the rear left tire.

ISceneNode* SPhysicsCar::tireNode_RR

The scene node for the rear right tire.

f32 SPhysicsCar::tireSuspensionShock

The tire suspension shock - this is passed straight to Newton. From the Newton docs: "parametrized damping constant for a spring, mass, damper system. A value of one corresponds to a critically damped system.".

f32 SPhysicsCar::tireSuspensionSpring

The tire suspension spring - this is passed straight to Newton. From the Newton docs: "parametrized spring constant for a spring, mass, damper system. A value of one corresponds to a critically damped system.".

f32 SPhysicsCar::tireSuspensionLength

The tire suspension length - this is passed straight to Newton. From the Newton docs: "distance from the tire set position to the upper stop on the vehicle body frame. The total suspension length is twice that.".

f32 SPhysicsCar::maxSteerAngle

The max steering angle the car is able to make. A higher number means the car will be able to make tighter turns.

f32 SPhysicsCar::maxTorque

The max torque that the car can produce. A higher number means that the car gan go faster, but too high and it will start to skid and lose control.

f32 SPhysicsCar::maxBrakes

The max brakes that the car has. A higher number means stronger brakes.

The documentation for this struct was generated from the following file:

- C:/Documents and Settings/user/Desktop/IPhysics 1.5 Irr 1.2/source/SPhysicsStructs.h